Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Class SciTreeElement

    java.lang.Object
      com.plumtree.remote.sci.SciTreeElement

All Implemented Interfaces:
  ISciElement

public class SciTreeElement
extends java.lang.Object
implements ISciElement

Represents an element that displays a tree view of directories (e.g., a file system or database).

Constructor Summary
`SciTreeElement(ITreeIterator treeIterator, java.lang.String formName, java.lang.String formValue, java.lang.String repostLocation, java.lang.String repostRoot, java.lang.String rootDisplayName, boolean chooseRoot, java.lang.String rootImage, java.lang.String emptyMessage, java.lang.String noSelectionMessage, int columns)` Valued Constructor

Method Summary
`org.w3c.dom.Node` | `getRootNode()` Gets the root `Node` to add to the page.
`java.lang.String` | `toString()` Writes the element to a string for debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SciTreeElement

    public SciTreeElement(ITreeIterator treeIterator,
                          java.lang.String formName,
                          java.lang.String formValue,
                          java.lang.String repostLocation,
                          java.lang.String repostRoot,
                          java.lang.String rootDisplayName,
                          boolean chooseRoot,
                          java.lang.String rootImage,
                          java.lang.String emptyMessage,
                          java.lang.String noSelectionMessage,
                          int columns)

  Valued Constructor

Parameters:
  `treeIterator` - iterator for particular directory
  `formName` - name of the field. The formName should be uppercase as the portal will uppercase all names in the NamedValue[] returned by IAdminEditor.finalize(). * @param formValue default field value
  `repostLocation` - location to repost to (e.g., a subfolder)
  `repostRoot` - programmatic name of root location
  `rootDisplayName` - display name of root location
  `chooseRoot` - whether or not root is selectable
  `rootImage` - image to display for for root
  `emptyMessage` - JavaScript message to display if there are no `Node`s in this 'folder'
  `noSelectionMessage` - JavaScript message to display if nothing is selected
  `columns` - number of columns to display

Method Detail

### getRootNode

    public org.w3c.dom.Node getRootNode()

  Gets the root `Node` to add to the page.

  Specified by:
    `getRootNode` in interface `ISciElement`
  Returns:
    root `Node`

### toString

    public java.lang.String toString()

  Writes the element to a string for debugging.

  Returns:
    string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.